import { Component } from "react";
import "../style/Tip.css";
interface State {
    label: string;
    selectValue: string;
    color: string;
}
interface Props {
    onConfirm: (comment: {
        selectValue: string;
        label: string;
        color: string;
    }) => void;
    onOpen: () => void;
    onUpdate?: () => void;
    options: any;
    highlight?: any;
}
export declare class Tip extends Component<Props, State> {
    state: State;
    handleChange: (event: any) => void;
    render(): JSX.Element;
}
export default Tip;
