"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Tip = void 0;
const react_1 = __importStar(require("react"));
require("../style/Tip.css");
const randomcolor_1 = __importDefault(require("randomcolor"));
class Tip extends react_1.Component {
    constructor() {
        super(...arguments);
        this.state = {
            label: '',
            selectValue: '',
            color: ''
        };
        this.handleChange = (event) => {
            let colorNew = (0, randomcolor_1.default)();
            let eLabel = event.target.options[event.target.selectedIndex].text;
            this.setState({
                label: eLabel,
                selectValue: event.target.value,
                color: colorNew
            });
        };
    }
    render() {
        const { onConfirm, highlight, options } = this.props;
        const { selectValue, color, label } = this.state;
        return (react_1.default.createElement("div", { className: "Tip" },
            react_1.default.createElement("form", { className: "Tip__card", onSubmit: (event) => {
                    event.preventDefault();
                    onConfirm({ selectValue, color, label });
                } },
                react_1.default.createElement("h4", { style: { color: '#333' } }, "Please select the desired field."),
                react_1.default.createElement("div", null,
                    react_1.default.createElement("select", { defaultValue: highlight ? highlight.comment.selectValue : '', onChange: this.handleChange, style: {
                            width: '80%',
                            margin: 10,
                            padding: 8,
                        } }, options
                        && options.length > 0
                        && options.map((option, index) => {
                            return (react_1.default.createElement("option", { style: {
                                    fontSize: 14,
                                    padding: 10,
                                }, key: index, value: option.value }, option.label));
                        }))),
                react_1.default.createElement("div", null,
                    react_1.default.createElement("input", { type: "submit", disabled: selectValue ? false : true, value: "Done", style: {
                            width: '100%',
                            backgroundColor: 'rgba(11, 161, 11, 0.753)'
                        } })))));
    }
}
exports.Tip = Tip;
exports.default = Tip;
//# sourceMappingURL=Tip.js.map